> ## Documentation Index
> Fetch the complete documentation index at: https://help.standards.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve the list of files uploaded to the project (scope: files.read)



## OpenAPI

````yaml /api-reference/schema.yaml get /workspace/{workspace-id}/project/{project-id}/files
openapi: 3.0.0
info:
  title: Standards API
  description: Access Standards account and project information
  termsOfService: https://standards.site/terms-of-service/
  contact:
    name: Standards Support
    url: https://help.standards.site/
    email: support@standards.site
  version: 0.1.0
servers:
  - url: https://api.standards.site/beta
security: []
paths:
  /workspace/{workspace-id}/project/{project-id}/files:
    get:
      tags:
        - Project
      summary: 'Retrieve the list of files uploaded to the project (scope: files.read)'
      operationId: getProjectFiles
      parameters:
        - name: workspace-id
          in: path
          required: true
          description: The identifier for the workspace
          example: z3plqkvf52r
          schema:
            type: string
        - name: project-id
          in: path
          required: true
          description: The identifier for the project in the workspace
          example: 3e95a13e7f1
          schema:
            type: string
      responses:
        '200':
          description: The list of files was retrieved successfully
          content:
            application/json:
              schema:
                title: FilesResponse
                type: object
                required:
                  - workspace
                  - project
                  - files
                properties:
                  workspace:
                    type: string
                    description: >-
                      The workspace id (matches the workspace-id sent with the
                      request)
                    example: z3plqkvf52r
                  project:
                    type: string
                    description: >-
                      The project id (matches the project-id sent with the
                      request)
                    example: 3e95a13e7f1
                  files:
                    type: array
                    items:
                      title: FilesItemResponse
                      type: object
                      required:
                        - filename
                      properties:
                        filename:
                          type: string
                          description: The name of the file including its extension
                          example: Inter-Bold.ttf
                        size:
                          type: number
                          description: The size of the file in bytes
                          example: 84216
                        contentType:
                          type: string
                          description: MIME type of the file
                          example: font/ttf
                        url:
                          type: string
                          format: uri
                          description: URL where the file can be downloaded
                        metadata:
                          oneOf:
                            - title: FontFileMetadata
                              type: object
                              description: Metadata for font files (contentType is font/*)
                              properties:
                                family:
                                  type: string
                                  description: Font family name
                                  example: Inter Bold
                                subFamily:
                                  type: string
                                  description: Font subfamily name
                                  example: Regular
                                weight:
                                  type: number
                                  description: Numeric font weight
                                  example: 400
                                style:
                                  type: string
                                  enum:
                                    - normal
                                    - italic
                                    - oblique
                                  description: Font style
                                  example: normal
                            - title: ImageFileMetadata
                              type: object
                              description: Metadata for image files (contType is image/*)
                              properties:
                                width:
                                  type: number
                                  description: Image width in pixels
                                  example: 1920
                                height:
                                  type: number
                                  description: Image height in pixels
                                  example: 1080
                                description:
                                  type: string
                                  description: >-
                                    Description of the image for use as the alt
                                    text
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/UnauthorizedRequest'
        '403':
          $ref: '#/components/responses/ForbiddenRequest'
        '404':
          $ref: '#/components/responses/NotFoundRequest'
        '429':
          $ref: '#/components/responses/TooManyWorkspaceRequests'
      security:
        - bearerAuth: []
components:
  responses:
    BadRequest:
      description: The request is invalid.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: invalid_request
            error_description: workspace-id is required
    UnauthorizedRequest:
      description: The request does not have valid authentication.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: invalid_client
            error_description: The client credentials are invalid
    ForbiddenRequest:
      description: The client does not have authorization to make the request.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: access_denied
            error_description: The scope 'projects.read' is required to access this resource
    NotFoundRequest:
      description: The requested endpoint or resource could not be found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: not_found
            error_description: The project has not been published
    TooManyWorkspaceRequests:
      description: >-
        The number of API requests made to the workspace has exceeded the
        allowed threshold.
  schemas:
    ErrorResponse:
      type: object
      description: The response format used for all errors.
      required:
        - error
      properties:
        error:
          type: string
          description: An error code indicating why the request failed.
        error_description:
          type: string
          description: Additional details on the reason for the error.
        error_uri:
          type: string
          description: The URL where documentation for the Standards API can be found.
          example: https://help.standards.site/api
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````